package domain


type AlibabaAelophyOrderWorkCallbackTopBaseResult struct {
    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误码备注说明     */
    ErrMsg  *string `json:"err_msg,omitempty" `

}

func (s *AlibabaAelophyOrderWorkCallbackTopBaseResult) SetSuccess(v bool) *AlibabaAelophyOrderWorkCallbackTopBaseResult {
    s.Success = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackTopBaseResult) SetErrCode(v string) *AlibabaAelophyOrderWorkCallbackTopBaseResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackTopBaseResult) SetErrMsg(v string) *AlibabaAelophyOrderWorkCallbackTopBaseResult {
    s.ErrMsg = &v
    return s
}
